## Bsoft program

# bfilwidth

### Usage: bfilwidth [options] img.pif out.pif

Analyzes the periodicity of a filament from width changes.
The filament must be aligned with the y axis and with positive contrast.

### Actions:

-invert | Invert density in the image before other operations.
-rescale -0.1,5.2 | Rescale data to average and standard deviation before other operations.
-average 34,1,1 | Moving average window size (voxels).
-period 100,32,1 | Periodic frame size (voxels).
-width 25 | Window to fit a moving line for estimating the filament width.
-density 30,120 | Density with filament width and number of histogram bins.

### Parameters:

-verbose 7 | Verbosity of output.
-datatype u | Force writing of a new data type.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-origin 0.8,-10,15.7 | Set the origin (default from input image).
-resolution 15.6 | Resolution limit for cross-correlation.
-limits 35,57 | Limits on the filament width (default 0 - width of image).

### Input:

-reference file.map | 2D reference for cross-correlation.

### Output:

-Postscript plot.ps | Plot of filament widths.

Bsoft version 2.0.3-20180917 (64 bit)